unit Name;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls;

type
  TTitleDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Label1: TLabel;
    LvlTitle: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure EnableMain(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TitleDlg: TTitleDlg;

implementation

uses Unit1;

{$R *.DFM}

procedure TTitleDlg.FormCreate(Sender: TObject);
begin
  TitleDlg.LvlTitle.Text := Form1.LevelName.Caption;
  TitleDlg.LvlTitle.SetFocus;
  TitleDlg.LvlTitle.SelectAll;
  Form1.Enabled := False;
end;

procedure TTitleDlg.OKBtnClick(Sender: TObject);
begin
  if (LvlTitle.Text <> '') then
    Form1.LevelName.Caption := TitleDlg.LvlTitle.Text;
  Close;
end;

procedure TTitleDlg.CancelBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TTitleDlg.EnableMain(Sender: TObject; var Action: TCloseAction);
begin
  Form1.Enabled := True;
end;

end.
